EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetDeployable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Deployables_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified deployable'
GO


IF OBJECT_ID('[Applications_GetDeployable]') IS NOT NULL DROP PROCEDURE [Applications_GetDeployable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetDeployable]
(
	@Deployable_Id INT
)
AS
BEGIN

	SET NOCOUNT ON 

	SELECT * 
	  FROM [Deployables_Extended]
     WHERE [Deployable_Id] = @Deployable_Id

END
GO

GRANT EXECUTE ON [Applications_GetDeployable] TO [BuildMasterUser_Role]
