IF OBJECT_ID('[BuildPromotions_Slim]') IS NOT NULL DROP VIEW [BuildPromotions_Slim]
GO

CREATE VIEW [BuildPromotions_Slim] AS

SELECT A.[Application_Id]
      ,R.[Release_Id]
      ,R.[Release_Number]
	  ,B.[Build_Id]
      ,B.[Build_Number]
	  ,BP.[Promotion_Id]
      ,BP.[Promoted_Date]     
      ,BP.[PromotionStatus_Name]	  
      ,R.[Pipeline_Id]
      ,R.[Release_Sequence]
	  ,BP.[PipelineStage_Name]

  FROM [BuildPromotions] BP
       INNER JOIN [Builds] B
               ON B.[Build_Id] = BP.[Build_Id]
       INNER JOIN [Releases] R
               ON R.[Release_Id] = B.[Release_Id]
       INNER JOIN [Applications] A
               ON A.[Application_Id] = R.[Application_Id]
GO
