
IF OBJECT_ID('[EnvironmentServers_Extended]') IS NOT NULL DROP VIEW [EnvironmentServers_Extended]
GO

CREATE VIEW [EnvironmentServers_Extended] AS

	SELECT  ES.[Environment_Id],
            E.[Environment_Name],
            [Environment_Active_Indicator] = E.[Active_Indicator],
            [Server_Restricted_Indicator] = S.[Restricted_Indicator],
			S.[Server_Id],
			S.[Server_Name],
			S.[Agent_Configuration],
			S.[ServerType_Code],
			[Server_Active_Indicator] = S.[Active_Indicator]
      FROM	[Servers] S
 LEFT JOIN	[EnvironmentServers] ES
        ON	S.[Server_Id] = ES.[Server_Id]
 LEFT JOIN	[Environments] E
        ON	ES.[Environment_Id] = E.[Environment_Id]

GO
