EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Providers_GetProvider',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Providers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of the specified provider'
GO


IF OBJECT_ID('[Providers_GetProvider]') IS NOT NULL DROP PROCEDURE [Providers_GetProvider]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Providers_GetProvider]
(
	@Provider_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Providers]
	 WHERE [Provider_Id] = @Provider_Id

END
GO

GRANT EXECUTE ON [Providers_GetProvider] TO [BuildMasterUser_Role]